> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.yoco.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.yoco.com/_mcp/server.

The Yoco API version number is specified in the URL when making an HTTP request.

Here is an example of a request to the v1 API end-point for retrieving a list of orders.

### Request

GET [https://api.yoco.com/v1/orders/](https://api.yoco.com/v1/orders/)

**`Retrieved`**

```curl Retrieved
curl https://api.yoco.com/v1/orders/ \
     -H "Authorization: Bearer <token>"
```

**`Retrieved`**

```python Retrieved
import requests

url = "https://api.yoco.com/v1/orders/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

**`Retrieved`**

```javascript Retrieved
const url = 'https://api.yoco.com/v1/orders/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

**`Retrieved`**

```go Retrieved
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.yoco.com/v1/orders/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

**`Retrieved`**

```ruby Retrieved
require 'uri'
require 'net/http'

url = URI("https://api.yoco.com/v1/orders/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

**`Retrieved`**

```java Retrieved
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.yoco.com/v1/orders/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

**`Retrieved`**

```php Retrieved
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.yoco.com/v1/orders/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

**`Retrieved`**

```csharp Retrieved
using RestSharp;

var client = new RestClient("https://api.yoco.com/v1/orders/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

**`Retrieved`**

```swift Retrieved
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.yoco.com/v1/orders/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

Breaking changes are never introduced to an existing API version. The version number of the API is
always incremented.

## What's a non-breaking change?

* Adding a new API resource.
* Adding a new API end-point.
* Adding a new optional request parameter to an existing API method.
* Adding a new property to an existing API response.
* Changing the order of properties in an existing API response.

## What's a breaking change?

* Removing an API resource.
* Removing an API end-point.
* Removing a request parameter from an API method.
* Changing the behaviour of a request parameter on an API method.
* Adding a new required request parameter to an API method.
* Renaming or re-shaping an API resource, end-point, request parameter or response property.
* Change to the HTTP status code returned from an operation.